package ru.yandex.webmaster3.storage.notifications.dao;

import java.util.UUID;

/**
 * @author avhaliullin
 */
public class NotificationTableInfo {
    private final NotificationTableType tableType;
    private final UUID notificationId;
    private final UUID listId;

    public NotificationTableInfo(NotificationTableType tableType, UUID notificationId, UUID listId) {
        this.tableType = tableType;
        this.notificationId = notificationId;
        this.listId = listId;
    }

    public NotificationTableType getTableType() {
        return tableType;
    }

    public UUID getNotificationId() {
        return notificationId;
    }

    public UUID getListId() {
        return listId;
    }
}
